Page MenuHomePhabricator

Spike: Decide whether PayPal Express Checkout is a new gateway, payment method, or account name.
Closed, ResolvedPublic2 Story Points

Description

Be careful how we want to distinguish these transactions. How do they show up in reconciliation reports? How are transaction IDs stored?

Event Timeline

awight created this task.May 4 2016, 10:13 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 4 2016, 10:13 PM
awight reopened this task as Open.Jun 8 2016, 3:46 AM
awight claimed this task.
awight moved this task from Backlog to Campaign ready on the FR-PayPal-ExpressCheckout board.
awight moved this task from Campaign ready to 1-hour test on the FR-PayPal-ExpressCheckout board.
awight moved this task from Backlog to Doing on the Fundraising Sprint Killing Time board.
awight added a subscriber: DStrine.

@Ppena
What do you think about PayPal legacy and express checkout being reconciled separately? Would that be helpful, or a pain?

Change 294123 had a related patch set uploaded (by Awight):
Express Checkout is recorded as PayPal

https://gerrit.wikimedia.org/r/294123

Change 294123 merged by jenkins-bot:
Express Checkout is recorded as PayPal

https://gerrit.wikimedia.org/r/294123

Change 294181 had a related patch set uploaded (by Awight):
Express Checkout is recorded as PayPal

https://gerrit.wikimedia.org/r/294181

Change 294181 merged by jenkins-bot:
Express Checkout is recorded as PayPal

https://gerrit.wikimedia.org/r/294181

Back on the table... I've reverted the crm patch because it was causing duplicate contributions (and TY letters). The listener and audit processors are a blocker, they would need to be able to distinguish paypal from paypal_ec in order to send a message with the right gateway, and to dedupe before sending.

Okay, we're still planning to use gateway='paypal' vs 'paypal_ec'.

awight closed this task as Resolved.Jun 15 2016, 9:05 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:54 PM